-- Using this strictly to document for now. Actual mappings are in:
-- lua/clint/keybindings.lua

local wk = require("which-key")

wk.add({
    { "<leader><F1>", desc = "Open IPython" },
    { "<leader><F2>", desc = "Execute py file" },
    { "<leader><F5>", desc = "Debug: Continue" },
    { "<leader>B", desc = "Set Breakpoint" },
    { "<leader>D", desc = "Debug UI" },
    { "<leader>K", desc = "Hover" },
    { "<leader>R", desc = "Rename Object" },
    { "<leader>Y", desc = "Yank to system clipboard" },
    { "<leader>b", desc = "Buffers" },
    { "<leader>c", desc = "Change Color Scheme" },
    { "<leader>d", desc = "Diagnostics" },
    { "<leader>e", desc = "File Explorer" },
    { "<leader>f", group = "file" },
    { "<leader>fb", desc = "File Browser (delete this?)" },
    { "<leader>ff", desc = "Find File" },
    { "<leader>fo", desc = "Format Current File" },
    { "<leader>fr", desc = "Recent Files" },
    { "<leader>fs", desc = "Live Search" },
    { "<leader>g", group = "git" },
    { "<leader>gN", desc = "Prev hunk" },
    { "<leader>gb", desc = "Git Blame (show)" },
    { "<leader>gd", desc = "Go to definition" },
    { "<leader>gf", desc = "Git Files" },
    { "<leader>gg", desc = "LazyGit" },
    { "<leader>gn", desc = "Next hunk" },
    { "<leader>h", desc = "Registers" },
    { "<leader>o", desc = "Object Explorer" },
    { "<leader>r", group = "repl" },
    { "<leader>rp", desc = "Run Python" },
    { "<leader>s", desc = "Find and Replace" },
    { "<leader>t", group = "timestamps" },
    { "<leader>td", desc = "Print date+time" },
    { "<leader>tt", desc = "Print time" },
    { "<leader>x", desc = "Execute selected code" },
    { "<leader>y", desc = "Yank to system clipboard" },
})
